aboutsummaryrefslogtreecommitdiffstats
path: root/bin/base/abrmd_ready.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/base/abrmd_ready.sh')
-rwxr-xr-xbin/base/abrmd_ready.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/base/abrmd_ready.sh b/bin/base/abrmd_ready.sh
new file mode 100755
index 0000000..37fe541
--- /dev/null
+++ b/bin/base/abrmd_ready.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Script to check if abrmd is ready
+# This will be called in initContainers in Kubernetes
+# Takes a seconds parameter that will time out the script
+
+timeout=$1
+start=$SECONDS
+tpm2_listpcrs -T tabrmd >/dev/null
+ret=$?
+
+while [ $ret -ne 0 ]
+do
+ if (($SECONDS-$start > $timeout))
+ then
+ echo "$0 timed out after $timeout seconds"
+ break
+ fi
+
+ sleep 10
+ tpm2_listpcrs -T tabrmd >/dev/null
+ ret=$?
+done